I have an older macOS. How can I purchase a PDFpen or PDFpenPro license?

System Requirements

For versions of PDFpen and PDFpenPro compatible with your macOS, see System Requirements to find the version you need.

Purchase a License

We stop selling licenses to previous versions when we release a new major version e.g. 13.0 etc. A license to the most current version of PDFpenPro v.13 gives you access to any earlier version compatible with your macOS. Please contact our support team to help you register the version you want to use.

The license you purchased will also register PDFpenPro v.13 should you update your macOS in the future.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us